Gecode::Set::SetVarImpConf Class Reference

Configuration for Set-variable implementations. More...

`#include <var-type.hpp>`

## Static Public Member Functions

static Gecode::ModEvent | me_combine (Gecode::ModEvent me1, Gecode::ModEvent me2)
| Combine modification events me1 and me2.
static bool | med_update (Gecode::ModEventDelta &med, Gecode::ModEvent me)
| Update modification even delta med by me, return true on change.

## Static Public Attributes

static const int | idx_c = Gecode::Int::BoolVarImpConf::idx_c+1
| Index for cloning.
static const int | idx_d = Gecode::Int::BoolVarImpConf::idx_d
| Index for disposal.
static const Gecode::PropCond | pc_max = PC_SET_ANY
| Maximal propagation condition.
static const int | free_bits = 0
| Freely available bits.
static const int | med_fst = Gecode::Int::BoolVarImpConf::med_lst
| Start of bits for modification event delta.
static const int | med_lst = med_fst + 4
| End of bits for modification event delta.
static const int | med_mask = ((1 << 4) - 1) << med_fst
| Bitmask for modification event delta.

## Detailed Description

Configuration for Set-variable implementations.

Definition at line 377 of file var-type.hpp.

## Member Function Documentation

## me_combine()

Gecode::ModEvent Gecode::Set::SetVarImpConf::me_combine | ( | Gecode::ModEvent | me1,
|  | Gecode::ModEvent | me2 )

inline static

Combine modification events me1 and me2.

Definition at line 570 of file var-type.hpp.

## med_update()

bool Gecode::Set::SetVarImpConf::med_update | ( | Gecode::ModEventDelta & | med,
|  | Gecode::ModEvent | me )

inline static

Update modification even delta med by me, return true on change.

Definition at line 675 of file var-type.hpp.

## Member Data Documentation

## idx_c

const int Gecode::Set::SetVarImpConf::idx_c = Gecode::Int::BoolVarImpConf::idx_c+1

static

Index for cloning.

Definition at line 380 of file var-type.hpp.

## idx_d

const int Gecode::Set::SetVarImpConf::idx_d = Gecode::Int::BoolVarImpConf::idx_d

static

Index for disposal.

Definition at line 382 of file var-type.hpp.

## pc_max

const Gecode::PropCond Gecode::Set::SetVarImpConf::pc_max = PC_SET_ANY

static

Maximal propagation condition.

Definition at line 384 of file var-type.hpp.

## free_bits

const int Gecode::Set::SetVarImpConf::free_bits = 0

static

Freely available bits.

Definition at line 386 of file var-type.hpp.

## med_fst

const int Gecode::Set::SetVarImpConf::med_fst = Gecode::Int::BoolVarImpConf::med_lst

static

Start of bits for modification event delta.

Definition at line 388 of file var-type.hpp.

## med_lst

const int Gecode::Set::SetVarImpConf::med_lst = med_fst + 4

static

End of bits for modification event delta.

Definition at line 390 of file var-type.hpp.

## med_mask

const int Gecode::Set::SetVarImpConf::med_mask = ((1 << 4) - 1) << med_fst

static

Bitmask for modification event delta.

Definition at line 392 of file var-type.hpp.

The documentation for this class was generated from the following file:

- gecode/kernel/var-type.hpp